Bug 141364 - IPMI on Dell PowerEdge 2850 do not work with redhat kernel
IPMI on Dell PowerEdge 2850 do not work with redhat kernel
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: dff
Brian Brock
http://www.dell.com/downloads/global/...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 13:08 EST by Petter Reinholdtsen
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:12:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petter Reinholdtsen 2004-11-30 13:08:45 EST
Description of problem:

  IPMI do not work on Dell PowerEdge 2850 with the default kernel 
from
  RHEL 3.  According to
  <URL: 
http://www.dell.com/downloads/global/power/ps4q04-20040204-Murphy.pdf 
>
  these machines need OpenDPMI driver versjon 33 or newer and the
  ipmi_si_drv kernel module.  This driver is available from
  <URL: http://sourceforge.net/projects/openipmi >.

  IPMI is needed to get HW status info from the machine.  We need 
this
  to be able to monitor and detect problems with this type of 
machine.


Version-Release number of selected component (if applicable):

  kernel-2.4.21-20.EL

How reproducible:

  This fails every time.

Steps to Reproduce:

  1. modprobe ipmi_si_drv - fail
  2. modprobe ipmi_kcs_drv - fail
  3. modprobe ipmi_devintf - loads, but fail to find the correct IP 
port

Actual results:

  I got these messages in /var/log/messages

  Nov 30 18:17:59 delltest kernel: ipmi: message handler initialized
  Nov 30 18:18:00 delltest kernel: ipmi: device interface at char 
major 253
  Nov 30 18:22:02 delltest kernel: ipmi_kcs: SPMI table not found.
  Nov 30 18:22:02 delltest kernel: ipmi_kcs: No KCS @ port 0x0ca2
  Nov 30 18:22:02 delltest kernel: ipmi_kcs: Unable to find any KCS 
interfaces

  According to the article, the port to use is 0xca8, and not 0x0ca2.
  The newer driver will detect the correct port to use using DMI
  information.

Expected results:

  I expected a working kernel driver and access to a ipmi device.

Additional info:

  There is a command line tool to access the IPMI device available
  from <URL:http://ipmitool.sourceforge.net/>.  It can be used to 
test
  the device and driver.
Comment 3 Trond H. Amundsen 2005-06-06 09:26:15 EDT
This bug has had "NEW" status for quite some time... Confirmed that it still
doesn't work with kernel 2.4.21-32.0.1. Excepting lm_sensors, IPMI is the only
_open_ standard for hardware monitoring that I know of, and IPMI is far better
than lm_sensors and proprietary vendor software, which tends to be large and
intrusive. Providing of course that the machine has an IPMI device, which
expensive servers like the Dell PE2850 usually do. Any chance that Red Hat will
appreciate working IPMI support in the kernel and upgrade the modules?

IMO one should expect an enterprise OS to be able to harness enterprise-type
hardware, also when it comes to monitoring features, especially if the hardware
complies to open standards.
Comment 4 RHEL Product and Program Management 2007-10-19 15:12:45 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.